$defBlack: rgba(0,0,0,1)
$defWhite: #F4F4F4
$tenBrown: #827159
$tenYellow: #FFFBE3
$tenWhite: #eee
$tenGray: #545147
$tenDanger: #FF0000


$font-s: 1.1rem
$font-md: 1.2rem
$font-ml: 1.4rem
$font-lg: 1.6rem
$font-xl: 1.8rem




@mixin size($w, $h:$w)
    width: $w
    height: $h

@mixin font($s: 1rem,$w: 300, $l: 0px, $h: $s)
    font-size: $s
    font-weight: $w
    letter-spacing: $l
    line-height: $h
    
@mixin pos($pos,$x: 0,$y: $x,$z: 0)
    position: $pos
    transform: translate3d($x,$y,$z)

@mixin flex($j: center,$a: center)
    display: flex
    justify-content: $j
    align-items: $a

%btnText
    text-decoration: underline
    +font($font-md,400)
    color: $tenBrown
    border: 0
    background-color: unset

%popTitle
    width: 100%
    color: $tenBrown
    text-align: left
    margin-bottom: 6px

%popButton
    +pos(absolute)
    left: 0
    bottom: -33px
    width: 100%
    text-align: center

%popUpdate
    width: 50%
    float: left
    color: #eee
    border: 0
    padding: 
        top: 8px
        bottom: 8px             
    background-color: $tenBrown
    +font($font-ml,400,0.7px,18px)

%content
    +font($font-md,400,0.2px,18px)
    border: 0
    border-bottom: 1px solid $tenBrown
    padding:
        left: 12px
        right: 12px
    box-sizing: border-box 

%content_code
    position: relative
    width: 100%
    padding:
        top: 8px
        bottom: 8px 
    appearance: none

%radioInput
    > input[type="radio"]
        display: none
        &:checked + label::after
            content: ''
            +size(16px)
            +pos(absolute,0,-50%)
            background-color: $tenBrown
            border: 1px solid $tenBrown
            border-radius: 50%
            top: 50%
            left: 0
        &:checked + label::before
            border: 0
            background-color: #fff
            top: 9px
            left: 5px
            +size(8px)
            z-index: 1

%radioLabel
    > label
        position: relative
        +font($font-s,400)
        &::before
            content: ''
            +pos(absolute,0,-50%)
            border: 1px solid $tenGray
            background-color: #fff
            border-radius: 50%
            top: 50%
            left: 0

%doneBlock
    +flex(center,center)
    flex-direction: column

%done_error
    +size(90px)
    background-repeat: no-repeat
    background-size: 100%
    background-position: center
    margin-bottom: 20px

%verimg
    +size(16px)
    display: inline-block
    background-size: cover
    background-position: center
    background-repeat: no-repeat  
    margin-left: 10px

%innerPageWhiteBlock
    padding: 
        left: 12px
        right: 12px
    background-color: #fff
%arrow
    display: inline-block
    +size(8px)
    background-image: url(../images/sort-arrow.png)
    background-repeat: no-repeat
    background-size: auto 100%
    background-position: center
    transition: 0.3s all
    @media screen and (-webkit-min-device-pixel-ratio:2) 
        background-image: url(../images/sort-arrow@2x.png)
    @media screen and (-webkit-min-device-pixel-ratio:3) 
        background-image: url(../images/sort-arrow@3x.png)

%point
    background-color: #ffffff
    font-size: 0
%point_item
    display: inline-block
    width: 50%
    +font($font-md,400,0.3px,18px)
    margin-bottom: 12px
    > *
        display: block
    [class$="data"]
        +font(2.2rem,500,0.3px,18px)
        > span
            +font($font-md,400,0.3px,18px)
            margin-left: 12px  